For the complete documentation index, see llms.txt. This page is also available as Markdown.

Profiles

API Calls for Service Profiles, Object Profiles and Command Profiles

Get service profiles

get
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
get/api/v1/mobius/profile/service/{hid}
GET /api/v1/mobius/profile/service/{hid} HTTP/1.1
Accept: */*
{
  "ts": "2022-12-21T10:25:54.585Z",
  "uri": "000001",
  "data": [
    {
      "spid": "0001",
      "defaultID": "001",
      "name": "mobius router",
      "description": "POPULATE",
      "isConfigurable": true,
      "icon": "default",
      "allowedObjectFamilies": []
    },
    {
      "spid": "FE02",
      "defaultID": "E00",
      "name": "iqrf connector",
      "description": "POPULATE",
      "isConfigurable": false,
      "icon": "default",
      "allowedObjectFamilies": []
    },
    {
      "spid": "FE03",
      "defaultID": "E00",
      "name": "room display",
      "description": "POPULATE",
      "isConfigurable": false,
      "icon": "default",
      "allowedObjectFamilies": []
    }
  ]
}

Get service profile

get
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
spidstringRequired

MobiusFlow Service Profile ID

Example: {"value":"0032"}Pattern: ^[0-9A-Fa-f]{4}$
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
get/api/v1/mobius/profile/service/{hid}/{spid}
GET /api/v1/mobius/profile/service/{hid}/{spid} HTTP/1.1
Accept: */*
{
  "ts": "2022-12-21T10:25:54.585Z",
  "uri": "000001",
  "data": {
    "spid": "000E",
    "defaultID": "00E",
    "name": "node-red connector",
    "description": "This service creates a connection between the MobiusFlow Services, Objects, and Resources and the logic Flows. The host address and port, and the pre-shared key must be entered into both the service settings and the Flow.",
    "isConfigurable": true,
    "icon": "default",
    "allowedObjectFamilies": []
  }
}

Get object profile families

get
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
get/api/v1/mobius/profile/object/families/{hid}
GET /api/v1/mobius/profile/object/families/{hid} HTTP/1.1
Accept: */*
{
  "ts": "2022-12-21T10:25:54.585Z",
  "uri": "000001",
  "data": {
    "GeneralIO": {
      "type": "InputOutput",
      "description": "General analog and digital IO"
    },
    "DigitalInput": {
      "type": "Input",
      "description": "Digital input"
    },
    "DigitalOutput": {
      "type": "Output",
      "description": "Digital output"
    }
  }
}

Get object profiles

get
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
get/api/v1/mobius/profile/object/{hid}
GET /api/v1/mobius/profile/object/{hid} HTTP/1.1
Accept: */*
{
  "ts": "2022-12-21T10:25:54.585Z",
  "uri": "000001",
  "data": {
    "serviceStatus": {
      "header": {
        "pid": "1",
        "profileName": "serviceStatus",
        "isConfigurable": false,
        "instances": "single",
        "uiname": "Mobius Service Status"
      },
      "resources": {
        "parentObject": {
          "rid": "0",
          "access": "rw",
          "type": "string",
          "uiname": "Parent",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "status": {
          "rid": "1",
          "access": "r",
          "type": "enum",
          "uiname": "Status",
          "settings": {
            "enum": {
              "Unknown": -1,
              "Fault": 0,
              "OK": 1
            }
          }
        },
        "statusText": {
          "rid": "2",
          "access": "r",
          "type": "string",
          "uiname": "Status Text",
          "settings": {
            "pv": "Unknown"
          }
        },
        "lastChanged": {
          "rid": "3",
          "access": "r",
          "type": "datetime",
          "uiname": "Last Changed",
          "settings": {
            "pv": "NOW"
          }
        }
      }
    },
    "licenceStatus": {
      "header": {
        "pid": "2",
        "profileName": "licenceStatus",
        "isConfigurable": false,
        "instances": "single",
        "uiname": "Mobius Licence Status"
      },
      "resources": {
        "licenceCode": {
          "rid": "0",
          "access": "rw",
          "type": "string",
          "uiname": "LicenceCode",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "status": {
          "rid": "1",
          "access": "r",
          "type": "enum",
          "uiname": "Status",
          "settings": {
            "pv": -1,
            "enum": {
              "Unknown": -1,
              "Valid": 0,
              "Wrong Licence Type": 1,
              "Hub Not Registered": 2,
              "Licence Not Active": 4,
              "Licence Not Yet Valid": 8,
              "Licence Expired": 16,
              "Licence Size Exceeded": 32,
              "Error": 128
            }
          }
        },
        "expiryDate": {
          "rid": "2",
          "access": "r",
          "type": "string",
          "uiname": "Expiry Date",
          "settings": {
            "pv": ""
          }
        },
        "licenceSize": {
          "rid": "3",
          "access": "r",
          "type": "number",
          "uiname": "Licence Size"
        },
        "objectCount": {
          "rid": "4",
          "access": "r",
          "type": "number",
          "uiname": "Object Count"
        },
        "server": {
          "rid": "5",
          "access": "r",
          "type": "string",
          "uiname": "Server"
        },
        "lastVerified": {
          "rid": "6",
          "access": "r",
          "type": "string",
          "uiname": "Last Verified"
        },
        "slowCheckInterval": {
          "rid": "7",
          "access": "r",
          "type": "number",
          "uiname": "Slow Check Interval"
        },
        "fastCheckInterval": {
          "rid": "8",
          "access": "r",
          "type": "number",
          "uiname": "Fast Check Interval"
        }
      }
    },
    "mobiusFlowConnector": {
      "header": {
        "pid": "65472",
        "profileName": "mobiusFlowConnector",
        "instances": "multiple",
        "uiname": "MobiusFlow Connector"
      },
      "resources": {
        "parentObject": {
          "rid": "0",
          "access": "rw",
          "type": "string",
          "uiname": "Parent",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "name": {
          "rid": "1",
          "access": "r",
          "type": "string",
          "uiname": "Name",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "objectLastUpdated": {
          "rid": "2",
          "access": "r",
          "type": "datetime",
          "uiname": "Object Last Updated"
        },
        "description": {
          "rid": "3",
          "access": "r",
          "type": "string",
          "uiname": "Description",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "location": {
          "rid": "4",
          "access": "r",
          "type": "string",
          "uiname": "Location",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "partNumber": {
          "rid": "10",
          "access": "r",
          "type": "string",
          "uiname": "Part Number",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "serialNumber": {
          "rid": "11",
          "access": "r",
          "type": "string",
          "uiname": "Serial Number",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "psk": {
          "rid": "12",
          "access": "r",
          "type": "string",
          "uiname": "Pre-shared Key",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "firmwareVersion": {
          "rid": "13",
          "access": "r",
          "type": "string",
          "uiname": "Firmware Version",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "module1Type": {
          "rid": "14",
          "access": "r",
          "type": "string",
          "uiname": "Module 1 Type",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "module2Type": {
          "rid": "15",
          "access": "r",
          "type": "string",
          "uiname": "Module 2 Type",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "enOceanChipID": {
          "rid": "16",
          "access": "r",
          "type": "string",
          "uiname": "EnOcean Chip ID",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "macAddress": {
          "rid": "17",
          "access": "r",
          "type": "string",
          "uiname": "MAC Address",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "ipAddress": {
          "rid": "18",
          "access": "r",
          "type": "string",
          "uiname": "IP Address"
        },
        "subnetMask": {
          "rid": "19",
          "access": "r",
          "type": "string",
          "uiname": "Subnet Mask"
        },
        "dnsAddress": {
          "rid": "20",
          "access": "r",
          "type": "string",
          "uiname": "DNS Address"
        },
        "defaultGateway": {
          "rid": "21",
          "access": "r",
          "type": "string",
          "uiname": "Default Gateway"
        },
        "ssid": {
          "rid": "22",
          "access": "r",
          "type": "string",
          "uiname": "SSID"
        },
        "rssi": {
          "rid": "23",
          "access": "r",
          "type": "number",
          "uiname": "RSSI"
        },
        "bssid": {
          "rid": "24",
          "access": "r",
          "type": "string",
          "uiname": "BSSID"
        },
        "online": {
          "rid": "64",
          "access": "r",
          "type": "bool",
          "uiname": "Online"
        },
        "uptime": {
          "rid": "65",
          "access": "r",
          "type": "string",
          "uiname": "Uptime (days:hours:minutes)"
        },
        "lastEnOceanUID": {
          "rid": "66",
          "access": "r",
          "type": "string",
          "uiname": "Last EnOcean UID"
        },
        "lastWorkOccUID": {
          "rid": "67",
          "access": "r",
          "type": "string",
          "uiname": "Last WorkOcc UID"
        }
      }
    },
    "arubaEnOceanAP": {
      "header": {
        "pid": "65473",
        "profileName": "arubaEnOceanAP",
        "instances": "multiple",
        "uiname": "Aruba Access Point"
      },
      "resources": {
        "parentObject": {
          "rid": "0",
          "access": "rw",
          "type": "string",
          "uiname": "Parent",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "name": {
          "rid": "1",
          "access": "r",
          "type": "string",
          "uiname": "Name",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "objectLastUpdated": {
          "rid": "2",
          "access": "r",
          "type": "datetime",
          "uiname": "Object Last Updated"
        },
        "description": {
          "rid": "3",
          "access": "r",
          "type": "string",
          "uiname": "Description",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "location": {
          "rid": "4",
          "access": "r",
          "type": "string",
          "uiname": "Location",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "macAddress": {
          "rid": "11",
          "access": "r",
          "type": "string",
          "uiname": "MAC Address",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "psk": {
          "rid": "12",
          "access": "r",
          "type": "string",
          "uiname": "Pre-shared Key",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "firmwareVersion": {
          "rid": "13",
          "access": "r",
          "type": "string",
          "uiname": "Firmware Version",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "enOceanChipID": {
          "rid": "16",
          "access": "r",
          "type": "string",
          "uiname": "EnOcean Chip ID",
          "settings": {
            "tags": {
              "attribute": "true"
            }
          }
        },
        "ipAddress": {
          "rid": "18",
          "access": "r",
          "type": "string",
          "uiname": "IP Address"
        },
        "online": {
          "rid": "64",
          "access": "r",
          "type": "bool",
          "uiname": "Online"
        },
        "uptime": {
          "rid": "65",
          "access": "r",
          "type": "string",
          "uiname": "Uptime (days:hours:minutes)"
        },
        "lastEnOceanUID": {
          "rid": "66",
          "access": "r",
          "type": "string",
          "uiname": "Last EnOcean UID"
        }
      }
    }
  }
}

Get object profile by profile ID

get
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
pidstringRequired

MobiusFlow Object Profile ID

Example: {"value":"014A"}Pattern: ^[0-9A-Fa-f]{4}$
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
get/api/v1/mobius/profile/object/{hid}/{pid}
GET /api/v1/mobius/profile/object/{hid}/{pid} HTTP/1.1
Accept: */*
{
  "ts": "2022-12-21T10:25:54.585Z",
  "uri": "000001",
  "data": {
    "header": {
      "pid": "513",
      "profileName": "numericValue",
      "instances": "multiple",
      "uiname": "Numeric Value"
    },
    "resources": {
      "parentObject": {
        "rid": "0",
        "access": "rw",
        "type": "string",
        "uiname": "Parent",
        "settings": {
          "tags": {
            "attribute": "true"
          }
        }
      },
      "name": {
        "rid": "1",
        "access": "r",
        "type": "string",
        "uiname": "Name",
        "settings": {
          "tags": {
            "attribute": "true"
          }
        }
      },
      "objectLastUpdated": {
        "rid": "2",
        "access": "r",
        "type": "datetime",
        "uiname": "Object Last Updated"
      },
      "description": {
        "rid": "3",
        "access": "r",
        "type": "string",
        "uiname": "Description",
        "settings": {
          "tags": {
            "attribute": "true"
          }
        }
      },
      "location": {
        "rid": "4",
        "access": "r",
        "type": "string",
        "uiname": "Location",
        "settings": {
          "tags": {
            "attribute": "true"
          }
        }
      },
      "value": {
        "rid": "64",
        "access": "rw",
        "type": "number",
        "uiname": "Value",
        "settings": {
          "pv": 0
        }
      }
    }
  }
}

Get object profile by profile name

get
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
profileNamestringRequired

MobiusFlow Object Profile Name

Example: {"value":"iqrf_05383_AirQuality"}
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
get/api/v1/mobius/profile/object/by-name/{hid}/{profileName}
GET /api/v1/mobius/profile/object/by-name/{hid}/{profileName} HTTP/1.1
Accept: */*
{
  "ts": "2022-12-21T10:25:54.585Z",
  "uri": "000001",
  "data": {
    "header": {
      "pid": "513",
      "profileName": "numericValue",
      "instances": "multiple",
      "uiname": "Numeric Value"
    },
    "resources": {
      "parentObject": {
        "rid": "0",
        "access": "rw",
        "type": "string",
        "uiname": "Parent",
        "settings": {
          "tags": {
            "attribute": "true"
          }
        }
      },
      "name": {
        "rid": "1",
        "access": "r",
        "type": "string",
        "uiname": "Name",
        "settings": {
          "tags": {
            "attribute": "true"
          }
        }
      },
      "objectLastUpdated": {
        "rid": "2",
        "access": "r",
        "type": "datetime",
        "uiname": "Object Last Updated"
      },
      "description": {
        "rid": "3",
        "access": "r",
        "type": "string",
        "uiname": "Description",
        "settings": {
          "tags": {
            "attribute": "true"
          }
        }
      },
      "location": {
        "rid": "4",
        "access": "r",
        "type": "string",
        "uiname": "Location",
        "settings": {
          "tags": {
            "attribute": "true"
          }
        }
      },
      "value": {
        "rid": "64",
        "access": "rw",
        "type": "number",
        "uiname": "Value",
        "settings": {
          "pv": 0
        }
      }
    }
  }
}

Get command profiles

get
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
get/api/v1/mobius/profile/command/{hid}
GET /api/v1/mobius/profile/command/{hid} HTTP/1.1
Accept: */*
{
  "ts": "2022-12-21T10:25:54.585Z",
  "uri": "000001",
  "data": {
    "ENOCEAN_RADIO_RAW": {
      "description": "Broadcast a received EnOcean raw radio telegram",
      "schema": {
        "type": "object",
        "properties": {
          "rorg": {
            "type": "string",
            "minLength": 2,
            "maxLength": 2
          },
          "rawData": {
            "type": "array"
          }
        },
        "required": [
          "rorg",
          "rawData"
        ]
      }
    },
    "ENOCEAN_RADIO_ERP1": {
      "description": "Broadcast a received EnOcean ERP1 type radio telegram",
      "schema": {
        "type": "object",
        "properties": {
          "rorg": {
            "type": "string",
            "minLength": 2,
            "maxLength": 2
          },
          "db_0": {
            "type": "number"
          },
          "db_1": {
            "type": "number"
          },
          "db_2": {
            "type": "number"
          },
          "db_3": {
            "type": "number"
          },
          "uid": {
            "type": "string",
            "minLength": 8,
            "maxLength": 8
          },
          "status": {
            "type": "number"
          },
          "subTelNum": {
            "type": "number"
          },
          "dBm": {
            "type": "number"
          }
        },
        "required": [
          "rorg",
          "db_0",
          "db_1",
          "db_2",
          "db_3",
          "uid",
          "status",
          "subTelNum",
          "dBm"
        ]
      }
    },
    "ENOCEAN_RADIO_ERP1_VLD": {
      "description": "Broadcast a received EnOcean ERP1 type radio telegram",
      "schema": {
        "type": "object",
        "properties": {
          "rorg": {
            "type": "string",
            "minLength": 2,
            "maxLength": 2
          },
          "vlData": {
            "type": "array"
          },
          "uid": {
            "type": "string",
            "minLength": 8,
            "maxLength": 8
          },
          "status": {
            "type": "number"
          },
          "subTelNum": {
            "type": "number"
          },
          "dBm": {
            "type": "number"
          }
        },
        "required": [
          "rorg",
          "vlData",
          "uid",
          "status",
          "subTelNum",
          "dBm"
        ]
      }
    },
    "ENOCEAN_RADIO_MSC": {
      "description": "Broadcast a received EnOcean MSC type radio telegram",
      "schema": {
        "type": "object",
        "properties": {
          "rorg": {
            "type": "string",
            "minLength": 2,
            "maxLength": 2
          },
          "func": {
            "type": "string",
            "minLength": 2,
            "maxLength": 2
          },
          "type": {
            "type": "string",
            "minLength": 2,
            "maxLength": 2
          },
          "mscData": {
            "type": "array"
          },
          "uid": {
            "type": "string",
            "minLength": 8,
            "maxLength": 8
          },
          "status": {
            "type": "number"
          },
          "subTelNum": {
            "type": "number"
          },
          "dBm": {
            "type": "number"
          }
        },
        "required": [
          "rorg",
          "func",
          "type",
          "mscData",
          "uid",
          "status",
          "subTelNum",
          "dBm"
        ]
      }
    },
    "ENOCEAN_RADIO_RMC": {
      "description": "Broadcast a received EnOcean MSC type radio telegram",
      "schema": {
        "type": "object",
        "properties": {
          "packetType": {
            "type": "string",
            "minLength": 2,
            "maxLength": 2
          },
          "funcNum": {
            "type": "number"
          },
          "manufId": {
            "type": "number"
          },
          "destUID": {
            "type": "string",
            "minLength": 8,
            "maxLength": 8
          },
          "srcUID": {
            "type": "string",
            "minLength": 8,
            "maxLength": 8
          },
          "dBm": {
            "type": "number"
          },
          "cmdData": {
            "type": "array"
          }
        },
        "required": [
          "packetType",
          "funcNum",
          "manufId",
          "destUID",
          "srcUID",
          "dBm",
          "cmdData"
        ]
      }
    }
  }
}

Get command profile

get
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
commandstringRequired

MobiusFlow Command ID

Example: {"value":"ENOCEAN_RADIO_ERP1"}Pattern: ^[0-9A-Za-z_]*$
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
get/api/v1/mobius/profile/command/{hid}/{command}
GET /api/v1/mobius/profile/command/{hid}/{command} HTTP/1.1
Accept: */*
{
  "ts": "2022-12-21T10:25:54.585Z",
  "uri": "000001",
  "data": {
    "description": "Broadcast a received EnOcean raw radio telegram",
    "schema": {
      "type": "object",
      "properties": {
        "rorg": {
          "type": "string",
          "minLength": 2,
          "maxLength": 2
        },
        "rawData": {
          "type": "array"
        }
      },
      "required": [
        "rorg",
        "rawData"
      ]
    }
  }
}

Last updated

Was this helpful?